Import from MS Project
PRO
The functionality is available in PRO Edition only
You can import MS Project XML data to Gantt, provided that you handle file upload and read file contents as text. Then you can send the resulting XML string to the import-data action | PRO feature that parses it to Gantt tasks and links:
<script setup>
import { ref } from "vue";
import { Gantt } from "@svar/vue-gantt";
const api = ref(null);
function importMSProject() {
// your uploader control
const file = document.getElementById("import-file").files[0];
const reader = new FileReader();
reader.onload = e => {
const xml = e.target.result;
api.value.exec("import-data", {
data: xml,
});
};
reader.readAsText(file);
}
</script>
<template>
<Gantt ref="api" />
</template>
Related sample: Export/import to MS project (client-side)
Related articles:

Import from MS Project
The functionality is available in PRO Edition only
PROYou can import MS Project XML data to Gantt, provided that you handle file upload and read file contents as text. Then you can send the resulting XML string to the import-data action | PRO feature that parses it to Gantt tasks and links:
import { useRef } from "react";
import { Gantt } from "@svar/react-gantt";
function App() {
const api = useRef(null);
function importMSProject() {
// your uploader control
const file = document.getElementById("import-file").files[0];
const reader = new FileReader();
reader.onload = e => {
const xml = e.target.result;
api.current.exec("import-data", {
data: xml,
});
};
reader.readAsText(file);
}
return <Gantt apiRef={api} />;
}
Related sample: Export/import to MS project (client-side)
Related articles: